# Synchronously add or update content **POST /content/sync** Add or update content to the platform synchronously. Only use this for low volume use-cases. For high availability and higher rate limits use the async /content endpoint. The request waits for the moderation rules to run and returns the resulting status and actions. When the moderation result is not available within 15 seconds the request returns `timeout: true`; in that case poll the get content status endpoint for the result. Ingesting videos synchronously is not supported — use the async /content endpoint for videos. Default rate limit: 120 requests per minute (free workspaces: 1000 pieces of content per week). ## Servers - Lasso Moderation API V1: https://api.lassomoderation.com/api/v1 (Lasso Moderation API V1) ## Authentication methods - Bearer auth ## Parameters ### Body: application/json (object) User, subcategory & category will be automatically created in Lasso if they don't exist yet. - **content_id** (string) - **parent_content_id** (string) Set this if this is a reply to another comment/chat message - **created_at** (string(date-time)) ISO Date e.g. 2022-07-21T18:12:39.000Z https://en.wikipedia.org/wiki/ISO_8601 - **category** (object) Model for a category that content can be part of. If the category does not yet exist in Lasso it will be created. - **subcategory** (object) Model for a subcategory that content can be part of. If the subcategory does not yet exist in Lasso it will be created. - **user** (object) Model for a user that you can send to Lasso. If the id of the user does not yet exist a new user will be made. - **text** (string) - **image_urls** (array[string(uri)]) - **video_urls** (array[string(uri)]) - **audio_urls** (array[string(uri)]) - **pdf_urls** (array[string(uri)]) - **metadata** (object | null) Extra free-form data about the object as key-value pairs. Values can be strings, numbers, booleans, null, or an object with one more level of key-value pairs. - The metadata may be at most 4KB (4096 bytes) when serialized as JSON. - Keys are not allowed to contain `/`. - **status** (string | null) - **published_at** (string(date-time) | null) (optional) ISO Date e.g. 2022-07-21T18:12:39.000Z https://en.wikipedia.org/wiki/ISO_8601 This field can be used to let Lasso know this object has not yet been published. - If the field is set to `null` the object is marked as not yet published. - If the field is set to a date, we use that date as the published date. - If the field is not specified, we assume the created at date as the published date. **Note**: this field can only be set when creating the object, use the publish endpoint to publish it. ## Responses ### 200 OK #### Body: application/json (object) - **success** (boolean) - **status** (string | null) - **timeout** (boolean) Only set when the synchronous request times out. In this case use the content status to poll the status of the content. - **actions** (array[object]) Note: This is not set when the request times out ### 400 The request is invalid, see the error field for details #### Body: application/json (object) - **success** (boolean) - **error** (string | object) A message describing the error. For validation errors this is an object with an error message per field. ### 401 The API token is missing or invalid #### Body: application/json (object) - **success** (boolean) - **error** (string | object) A message describing the error. For validation errors this is an object with an error message per field. ### 429 The rate limit has been exceeded, check the X-RateLimit headers for limits #### Headers - **X-RateLimit-Limit** () The rate limit interval in milliseconds - **X-RateLimit-Remaining** () The number of requests remaining in the current interval - **X-RateLimit-Reset** () The number of milliseconds until requests are allowed again #### Body: application/json (object) - **error** (string) [Powered by Bump.sh](https://bump.sh)